Get all calculation estimations
get
/fscmRestApi/resources/11.13.18.05/incentiveCompensationEstimations
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds a simulation based on a primary key.
Finder Variables- SimulationId; integer; Unique identifier for a calculation simulation.
- PrimaryKey Finds a simulation based on a primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AsynchronousRequestId; integer; Indicates the request ID of the job used to execute the calculation simulation asynchronously.
- CalculationCurrencyCode; string; The participant's calculation currency code.
- CreatedBy; string; Who column: indicates the user who created the row.
- CreationDate; string; Who column: indicates the date and time of the creation of the row.
- CurrentEarningsSumCalculation; number; Current earnings in calculation currency
- CurrentEarningsSumHome; number; The sum of the earnings in home currency already earned by a participant before the calculation simulation.
- EndPayPeriodId; integer; The highest pay period ID for the earnings in this calculation simulation.
- ErrorCode; string; When the calculation simulation ends in error status, this value indicates the error type.
- GainSumCalculation; number; Earnings gain in calculation currency
- GainSumHome; number; The sum of the gain in home currency calculated during the calculation simulation.
- HomeCurrencyCode; string; The participant's home currency code.
- LastUpdateDate; string; Who column: indicates the date and time of the last update of the row.
- LastUpdateLogin; string; Who column: indicates the session login associated to the user who last updated the row.
- LastUpdatedBy; string; Who column: indicates the user who last updated the row.
- OrgId; integer; The unique identifier of the business unit.
- ProcessAuditId; integer; Foreign key to relate the processing logs stored in cn_process_audits_all table.
- ProcessingDate; string; The date when this calculation simulation was processed.
- ProcessingStatus; string; The status of the calculation simulation, used to know if the simulation is ready to be processed, is being processed, has completed, or has ended in error.
- SimulationId; integer; Unique identifier for a calculation simulation.
- SimulationType; string; Defines the type of processing that needs to be used in this simulation.
- StartPayPeriodId; integer; The lowest pay period ID for the earnings in this calculation simulation.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : incentiveCompensationEstimations
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : incentiveCompensationEstimations-item-response
Type:
Show Source
object-
AsynchronousRequestId: integer
(int64)
Read Only:
trueIndicates the request ID of the job used to execute the calculation simulation asynchronously. -
CalculationCurrencyCode: string
Read Only:
trueMaximum Length:15The participant's calculation currency code. -
CreatedBy: string
Read Only:
trueMaximum Length:64Who column: indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueWho column: indicates the date and time of the creation of the row. -
CurrentEarningsSumCalculation: number
Read Only:
trueCurrent earnings in calculation currency -
CurrentEarningsSumHome: number
Read Only:
trueThe sum of the earnings in home currency already earned by a participant before the calculation simulation. -
EndPayPeriodId: integer
(int64)
Read Only:
trueThe highest pay period ID for the earnings in this calculation simulation. -
ErrorCode: string
Read Only:
trueMaximum Length:30When the calculation simulation ends in error status, this value indicates the error type. -
GainSumCalculation: number
Read Only:
trueEarnings gain in calculation currency -
GainSumHome: number
Read Only:
trueThe sum of the gain in home currency calculated during the calculation simulation. -
HomeCurrencyCode: string
Read Only:
trueMaximum Length:15The participant's home currency code. -
LastUpdateDate: string
(date-time)
Read Only:
trueWho column: indicates the date and time of the last update of the row. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Who column: indicates the user who last updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Who column: indicates the session login associated to the user who last updated the row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrgId: integer
(int64)
The unique identifier of the business unit.
-
ProcessAuditId: integer
(int64)
Read Only:
trueForeign key to relate the processing logs stored in cn_process_audits_all table. -
ProcessingDate: string
(date-time)
Read Only:
trueThe date when this calculation simulation was processed. -
ProcessingStatus: string
Maximum Length:
20Default Value:ORA_CN_NOT_READYThe status of the calculation simulation, used to know if the simulation is ready to be processed, is being processed, has completed, or has ended in error. -
SimulationId: integer
(int64)
Read Only:
trueUnique identifier for a calculation simulation. -
SimulationType: string
Maximum Length:
30Defines the type of processing that needs to be used in this simulation. -
StartPayPeriodId: integer
(int64)
Read Only:
trueThe lowest pay period ID for the earnings in this calculation simulation. -
Transactions: array
Participant Simulation Transactions
Title:
Participant Simulation TransactionsThe estimation transactions resource is used to view, create, update, and delete transactions associated with a calculation estimation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Participant Simulation Transactions
Type:
arrayTitle:
Participant Simulation TransactionsThe estimation transactions resource is used to view, create, update, and delete transactions associated with a calculation estimation.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : incentiveCompensationEstimations-Transactions-item-response
Type:
Show Source
object-
AdjustmentComments: string
Maximum Length:
1000Reason for adjustment -
AdjustmentReasonCode: string
Maximum Length:
30Adjustment reason code -
AdjustmentStatus: string
Maximum Length:
30Adjustment status -
BookedDate: string
(date-time)
Date order gets booked
-
CreatedBy: string
Read Only:
trueMaximum Length:64Who column: indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueWho column: indicates the date and time of the creation of the row. -
CreditDate: string
(date-time)
Date based on which crediting rule will be determined.
-
Credits: array
Participant Simulation Credits
Title:
Participant Simulation CreditsThe estimation credits resource is used to view, create, update, and delete credits of a calculation estimation. -
DiscountPercentage: number
Discount percentage, exposed in UI
-
EligibleCategoryId: integer
(int64)
The unique identifier of the eligible credit category.
-
InvoiceDate: string
(date-time)
Invoice date
-
InvoiceNumber: string
Maximum Length:
30Unique identifier for invoice -
LastUpdateDate: string
(date-time)
Read Only:
trueWho column: indicates the date and time of the last update of the row. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Who column: indicates the user who last updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Who column: indicates the session login associated to the user who last updated the row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MarginPercentage: number
Margin Percentage, exposed in UI
-
ObjectStatus: string
Read Only:
trueMaximum Length:30The status of the transaction. Possible values are calculated, calculation error, posted,and reversed. -
OrderNumber: string
Maximum Length:
30Unique identifier for order -
ParticipantId: integer
(int64)
The unique identifier of the participant with whom the earnings are associated.
-
RollupDate: string
(date-time)
Date based on which rollup hierarchy will be determined
-
SimulationId: integer
(int64)
Unique identifier for a calculation simulation.
-
SimulationTransactionDFF: array
SimulationTransactionDFF
-
SourceCurrencyCode: string
Maximum Length:
15Currency code in which the source amounts are specified. -
SourceEventDate: string
(date-time)
The date when transaction was processed.
-
TerrId: integer
(int64)
Unique identifier of territory
-
TerrName: string
Maximum Length:
1000Territory name -
TransactionAmountSource: number
Transaction amount in source currency
-
TransactionId: integer
(int64)
Points to the base transaction from which the earning is generated.
-
TransactionNumber: string
Maximum Length:
30Transaction number -
TransactionQuantity: number
The quantity of the unit sold in the transaction.
-
TransactionType: string
Maximum Length:
30The transaction type identifying the source of the transaction. -
UOMCode: string
Maximum Length:
10Unit of Measure
Nested Schema : Participant Simulation Credits
Type:
arrayTitle:
Participant Simulation CreditsThe estimation credits resource is used to view, create, update, and delete credits of a calculation estimation.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : incentiveCompensationEstimations-Transactions-Credits-item-response
Type:
Show Source
object-
AdjustmentComments: string
Maximum Length:
1000Reason for adjustment -
AdjustmentReasonCode: string
Maximum Length:
30Adjustment reason code -
AdjustmentStatus: string
Maximum Length:
30Adjustment status -
CalculationCurrencyCode: string
Read Only:
trueMaximum Length:15The participant's calculation currency code. -
CalculationToHomeRate: number
Read Only:
trueCalculation currency to home currency conversion rate. -
CalculationToSourceRate: number
Read Only:
trueCalculation currency to source currency conversion rate. -
CollectionStatus: string
Maximum Length:
30Collection status of the transaction -
CreatedBy: string
Read Only:
trueMaximum Length:64Who column: indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueWho column: indicates the date and time of the creation of the row. -
CreditAmountCalculation: number
Credit amount in calculation currency
-
CreditAmountHome: number
Read Only:
trueCredit amount in home currency -
CreditAmountSource: number
Read Only:
trueCredit amount in source currency -
CreditDate: string
(date-time)
Date based on which crediting rule will be determined.
-
CreditedParticipantId: integer
(int64)
Unique identifier for credited sales rep
-
CreditId: integer
(int64)
Generated from the sequence
-
CreditType: string
Maximum Length:
30Default Value:DIRECTPossible values: Direct, Indirect, and Summarized -
EligibleCategoryId: integer
(int64)
The unique identifier of the eligible credit category.
-
HomeCurrencyCode: string
Read Only:
trueMaximum Length:15The participant's home currency code. -
LastUpdateDate: string
(date-time)
Read Only:
trueWho column: indicates the date and time of the last update of the row. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Who column: indicates the user who last updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Who column: indicates the session login associated to the user who last updated the row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectStatus: string
Read Only:
trueMaximum Length:30The status of the transaction. Possible values are calculated, calculation error, posted,and reversed. -
ObjectVersionNumber: integer
(int32)
Used to implement optimistic locking. This number is incremented every time that the row is updated. The number is compared at the start and end of a transaction to detect whether another session has updated the row since it was queried.
-
ParticipantId: integer
(int64)
The unique identifier of the participant with whom the earnings are associated.
-
RevenueType: string
Maximum Length:
30The possible values are revenue, nonrevenue, and custom revenue types. -
RollupDate: string
(date-time)
Date based on which rollup hierarchy will be determined
-
RollupLevel: integer
(int64)
Level in the hierarchy in case of rollup credits
-
SimulationId: integer
(int64)
Unique identifier for a calculation simulation.
-
SourceCurrencyCode: string
Maximum Length:
15Currency code in which the source amounts are specified. -
SourceEventDate: string
(date-time)
The date when transaction was processed.
-
SourceToCalculationRate: number
Read Only:
trueSource currency to calculation currency conversion rate. -
SourceToHomeRate: number
Read Only:
trueSource currency to home currency conversion rate. -
SourceTrxNumber: string
Read Only:
trueMaximum Length:30The source_trx_number info about the transaction. -
SplitPct: number
Default Value:
100Split percentage -
TransactionId: integer
(int64)
Read Only:
truePoints to the base transaction from which the earning is generated.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : incentiveCompensationEstimations-Transactions-SimulationTransactionDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Business Unit Context for Base Transaction AttributesMaximum Length:30Business Unit Context for Base Transaction Attributes -
__FLEX_Context_DisplayValue: string
Title:
Business Unit Context for Base Transaction AttributesBusiness Unit Context for Base Transaction Attributes -
_Area_Code: string
Title:
Area CodeMaximum Length:360Area Code -
_Billing_Address: number
Title:
Customer Billing Address LocationCustomer Billing Address Location -
_Billing_Contact: number
Title:
Customer Billing ContactCustomer Billing Contact -
_City: string
Title:
CityMaximum Length:360City -
_City_Display: string
Title:
CityCity -
_Country: string
Title:
CountryMaximum Length:360Country -
_Country_Display: string
Title:
CountryCountry -
_Postal_Code: string
Title:
Postal CodeMaximum Length:360Postal Code -
_Product_Item_ID: number
Title:
Line Item IDLine Item ID -
_Product_Item_ID_Display: string
Title:
Line Item IDLine Item ID -
_Province: string
Title:
ProvinceMaximum Length:360Province -
_Sales_Channel: string
Title:
Sales ChannelMaximum Length:30Sales Channel -
_Shipping_Address: number
Title:
Shipping Address LocationShipping Address Location -
_Shipping_Contact: number
Title:
Customer Shipping ContactCustomer Shipping Contact -
_Sold_To_Customer: number
Title:
CustomerCustomer -
_Sold_To_Customer_Display: string
Title:
CustomerCustomer -
_State: string
Title:
StateMaximum Length:360State -
_State_Display: string
Title:
StateState -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SimulationId: integer
(int64)
-
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source